#!/bin/sh
#
# Fujitsu lifebook application panel driver
# apanel.sh - Startup script for application panel driver and daemons
#
# (c) Copyright by Willem van Engen
# See COPYRIGHT for copyright
# See CREDITS for credits
#

# Begin user modifications
FJKEYD="YES"			# Run the fjkeyd (or NO)
LCDSTATD="YES"			# We want to run lcdstatd (or NO)
LCDSTATDFLAGS="-s l"		# This shows system load
#LCDSTATDFLAGS="-s p -i 5000"	# Battery percentage, update each 5 secs.
				# see fjkeyd -h for other options
# End user modifications

case x$1 in
xstop)
	fjkeyd -k
	killall lcdstatd 2>&1 >/dev/null
	kldunload apanel
	;;

x*)
	kldload apanel
	#if keys available
	if [ x${FJKEYD} = xyes -o x${FJKEYD} = xYES ]; then
		fjkeyd
	fi
	if [ x${LCDSTATD} = xyes -o x${LCDSTATD} = xYES ]; then
		#if led available, load lcdstatd
		apanelc dev | grep LCD >/dev/null
		if [ ${?} = 0 ]; then
			ps -axww | grep lcdstatd | grep -v grep >/dev/null
			if [ ${?} != 0 ]; then
				lcdstatd ${LCDSTATDFLAGS}
			fi
		else
			echo "lcdstatd requested, but no lcd found"
		fi
	fi
	;;
esac

